<!DOCTYPE html>
<html lang="en">
<head>
  <title>Group members report</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="css/bootstrap.min.css">
  <link rel="stylesheet" href="css/bootstrap-table.min.css">
  <script src="js/jquery-3.4.1.min.js"></script>
  <script src="js/popper.min.js"></script>
  <script src="js/bootstrap.min.js"></script>
  <script src="js/bootstrap-table.min.js"></script>
  <script>
$( document ).ready(function() {
    $(".search-input").on("keyup paste", function() {
  var search = $(this).val();
  $(".search-input").each(function() {
    $(this).val(search);
    $(this).trigger("drop");
  });
});
  });
  </script>
  <script>
    function runningFormatter(value, row, index) {
      return index+1;
    }
  </script>
</head>
<body>


  <div id="heading" class="container-fluid text-white" style="background-color: #292961">
    <h2><img style="height: 58px" src="assets/gitlab-logo-white-rgb.svg"/>User membership report (as of ${reportdate})</h2>
  </div>
  
  <div class="container-fluid my-3">
    % if group:
    <h3>All members of Group "${group}"
    % else:
    <h3>All members of "${gitlab}"
    % endif
      <a class="btn btn-primary float-right mx-2" href="user_report_${reportdate}.csv" download="user_report_${reportdate}.csv">Download CSV</a>
    </h3>
  </div>
  
  <div class="container-fluid ">
    % if errors:
      <div class="alert alert-danger" role="alert">
        %for error in errors:
          ${error}
        %endfor
      </div>
    % endif

    <table class="table-hover table-striped" data-show-extended-pagination="true" data-pagination="true" data-toggle="table" data-search="true">
      <thead>
        <tr>
          <th data-sortable="true" scope="col" style="width: 10%">username</th>
          <th data-sortable="true" scope="col" style="width: 10%">name</th>
          <th data-sortable="true" scope="col" style="width: 10%">email</th>
          <th data-sortable="true" scope="col" style="width: 5%">highest access level</th>
          <th data-sortable="true" scope="col" style="width: 10%">last activity on</th>
          <th data-sortable="true" scope="col" style="width: 10%">last login at</th>
          <th data-sortable="true" scope="col" style="width: 10%">state</th>
          <th data-sortable="true" scope="col" style="width: 10%">using license seat</th>
          <th data-sortable="true" scope="col" style="width: 10%">memberships</th>
        </tr>
      </thead>
      <tbody>
  %for user in users:
        <tr>
          <td><a href="${gitlab}${user['username']}">${user['username']}</a></td>
          <td>${user["name"]}</td>
          <td>${user["email"]}</td>
          <td>${str(user["highest_access_level"]) + " - " + str(user["highest_access_level"]).replace("10","Guest").replace("20","Reporter").replace("30","Developer").replace("40","Maintainer").replace("50","Owner")}</td>
          <td>${user["last_activity_on"]}</td>
          <td>${user["last_login_at"]}</td>
          <td>${user["state"]}</td>
          <td>${user["using_license_seat"]}</td>
          <td>
            <ul style="margin: 0">
            %for membership in user["memberships"]:
              % if membership["membership_type"]=="direct":
                <li><a href='${membership["url"]}'>${str(membership["access_level"]) + ": " + membership["path"]}</a></li>
              % else:
                <li><a href='${membership["url"]}'>${str(membership["access_level"]) + ": " + membership["path"]}</a> (via <a href='${membership["shared_url"]}'>${membership["shared_path"]}</a> )</li>
              % endif
            %endfor
          </ul>
          </td>
        </tr>
  %endfor
      </tbody>
    </table>
  </div>
</body>
</html>
